var a,b,c,d,e,f,v,k,i:integer;
r:array[1..1000] of integer;
label 1,2,3,7,8,88,99,808;
begin
read(a);{x}
read(b);{k}
c:=a-2;
d:=b-2;
v:=1;
write('1 ');
e:=(c-d) div (d+1);
f:=(c-d) mod (d+1);
for i:=1 to d do
begin
r[i]:=0;
end;
if f=0 then
begin
1:v:=v+e+1;
write(v,' ');
if v>=a then exit;
goto 1;
end
else
begin
r[1]:=1;
for i:=2 to d+1 do
begin
r[i]:=r[i-1]+e+1;
end;
if f<>0 then
begin
i:=2;
808:r[i]:=r[i]+1;
i:=i+1;
if i=b then goto 99
else goto 808;
99:f:=f-1;
if f=0 then goto 88;
end;
88:for i:=2 to d+1 do
begin
write(r[i],' ');
end;
write(a);
end;
end.